<?php 

function navBotao($label, $link, $imagem="excel.gif"){
    ?><p class="titulo"><a href="main.php?<?=$link?>" target="main" style="text-decoration:none; color:black;"><img src="images/<?=$imagem?>" border="0" hspace=8 /><span class="textoTit"><?=$label?></span></a></p><?
}

function navBotaoFolder($label, $link, $imagem="excel.gif"){
	global $css;
	$class="";
	if($label == "Conteúdos") $class="tituloTop";  
    ?><p class="titulo <?=$class ?>" ><a id="h_<?=$link ?>" href="nav.php?tipo=<?=$link?>" style="text-decoration:none; color:black;"><img src="images/<?=$css?>/<?=$imagem?>" border="0" hspace=8 /><span class="textoTit"><?=$label?></span></a></p><?
    /*?><p class="titulo" ><a id="h_<?=$link ?>" href="nav.php?tipo=<?=$link?>" style="text-decoration:none; color:black;"><img src="images/<?=$imagem?>" border="0" hspace=8 /><span class="textoTit"><?=$label?></span></a></p><?*/
}

function navLink($label,$link){
	?><a href="main.php?<?=$link?>" target="main" style="text-decoration:none; color:black;"> » <?=$label?></a><br><?
}

function navPagina($label,$link){
	?><a class="navpagina" href="?<?=$link?>" target="main" style="text-decoration:none; color:black;"> » <?=$label?></a><br><?
}

function navExport($label,$link){
	?><a href="#" style="text-decoration:none; color:black;" onClick="open_export()"> » <?=$label?></a><br><?
}

function navSelect($tipo){
	include_once("db/dbElemento.class.php");
	$db= new dbElemento;
	$dados=$db->getListaCategorias($tipo."Categoria", array("Id"=>"id", "Categoria"=>"categoria"));
	$value=$_REQUEST['idCat'];
	
	?>» <?=ucfirst($tipo) ?> em<br> <select class="navidcat" id="navidcat<?=$tipo ?>" name="idCat" style="width:120px" >
		<option value="" selected >Escolha...</option>
		<? 
		$max=sizeof($dados);
		for ($i=0;$i<$max; $i++){			
			$sel="";
			if ($value==$dados[$i]['id']) $sel="selected";
			?><option value="<?=$dados[$i]['id']?>" <?=$sel?> ><?=$dados[$i]['categoria']?></option><? 
		} ?>
	</select>
	<span><a style="text-decoration: none; color: black;" target="main" href="main.php?tipo=<?=$tipo?>Categoria&amp;idCat">&nbsp;Categorias</a></span>
	<?
}

function navSelectGaleria(){
	include_once("db/dbElemento.class.php");
	$db= new dbElemento;
	$dados=$db->getListaCategorias("galeriaCategoria", array("Id"=>"id", "Categoria"=>"categoria"));
	$value=$_REQUEST['idCat'];
	
	?>» Fotos na galeria<br> <select class="navidcat" id="navidcatgaleria" name="idCat" style="width:120px" >
		<option value="" selected >Escolha...</option>
		<? 
		$max=sizeof($dados);
		for ($i=0;$i<$max; $i++){			
			$sel="";
			if ($value==$dados[$i]['id']) $sel="selected";
			?><option value="<?=$dados[$i]['id']?>" <?=$sel?> ><?=$dados[$i]['categoria']?></option><? 
		} ?>
	</select>
	<span><a style="text-decoration: none; color: black;" target="main" href="main.php?tipo=galeriaCategoria&amp;idCat">&nbsp;&nbsp;Galerias</a></span>
	<?
}


function acima($id, $idPai, $tipo){
    $db= new dbCategoria;
	$db->setAcima($tipo, $idPai, $id);
	set_msg("Registo movido para cima.<br>");
}

function abaixo($id, $idPai, $tipo){
    $db= new dbCategoria;
	$db->setAbaixo($tipo, $idPai, $id);
	set_msg("Registo movido para baixo.<br>");
}


$idPai= $_REQUEST['idPai'];
$id = $_REQUEST['id'];
$tipo = $_REQUEST['tipo'];
if($_REQUEST['cmd'] == 'acima') acima($id, $idPai, $tipo);
if($_REQUEST['cmd'] == 'abaixo') abaixo($id, $idPai, $tipo);












?>